singa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "wangwei (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SINGA-470) SINGA 1.2.0 to 2.0.0 upgrade error
Date Fri, 19 Jul 2019 08:51:00 GMT

    [ https://issues.apache.org/jira/browse/SINGA-470?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16888708#comment-16888708
] 

wangwei commented on SINGA-470:
-------------------------------

I guess this is caused by the dependency parsing.

conda didn't parse the dependency correctly.

can you install the latest miniconda for py37
{code:java}
conda install -c nusdbsystem -c conda-forge singa=2.0.0=cpu_py36{code}
 

If you still got the error, then please let me know the output from
{code:java}
ldd <path of miniconda>/lib/python3.6/site-package/singa/_singa_wrap.so{code}

> SINGA 1.2.0 to 2.0.0 upgrade error
> ----------------------------------
>
>                 Key: SINGA-470
>                 URL: https://issues.apache.org/jira/browse/SINGA-470
>             Project: Singa
>          Issue Type: Bug
>          Components: Application
>         Environment: CentOS7
> miniconda 3
>            Reporter: Shreyansh Shrivastava
>            Priority: Major
>         Attachments: ldd _singa_wrap.so.png
>
>
> "*conda install -c nusdbsystem -c conda-forge singa-cpu*" updated the SINGA package *from
1.2.0 to 2.0.0* but is throwing error on importing any module from singa on jupyter notebook.
> *Error*
> *ImportError:* libprotobuf.so.14: cannot open shared object file: No such file or directory
> *ModuleNotFoundError:* No module named '_singa_wrap'
> ldd _singa_wrap.so outputs *libprotobuf.so.14 => not found*



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

Mime
View raw message